DefaultAcceptHeaderParser (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mime
[Groovy] Class DefaultAcceptHeaderParser

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.DefaultAcceptHeaderParser

All Implemented Interfaces:
  AcceptHeaderParser

    @groovy.transform.CompileStatic
    class DefaultAcceptHeaderParser
    extends java.lang.Object

Parsed the HTTP accept header into a a list of MimeType instances in the order of priority. Priority is dictated by the order of the mime entries and the associated q parameter. The higher the q parameter the higher the priority.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`static org.apache.commons.logging.Log` | `LOG`
`MimeType[]` | `configuredMimeTypes`

Constructor Summary
`DefaultAcceptHeaderParser()`
`DefaultAcceptHeaderParser(MimeType[] configuredMimeTypes)`

Method Summary
`protected void` | `createMimeTypeAndAddToList(java.lang.String name, MimeType[] mimeConfig, java.util.List mimes, java.util.Map params = null)`
`MimeType[]` | `parse(java.lang.String header, MimeType fallbackMimeType = null)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final org.apache.commons.logging.Log LOG

### configuredMimeTypes

    MimeType[] configuredMimeTypes

Constructor Detail

### DefaultAcceptHeaderParser

    DefaultAcceptHeaderParser()

### DefaultAcceptHeaderParser

    DefaultAcceptHeaderParser(MimeType[] configuredMimeTypes)

Method Detail

### createMimeTypeAndAddToList

    protected void createMimeTypeAndAddToList(java.lang.String name, MimeType[] mimeConfig, java.util.List mimes, java.util.Map params = null)

### parse

    MimeType[] parse(java.lang.String header, MimeType fallbackMimeType = null)

Groovy Documentation